Bug 1287089 - RHCI Installer -> Deployments leads to New Deployment page from certain pages
RHCI Installer -> Deployments leads to New Deployment page from certain pages
Status: VERIFIED
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: WebUI (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity unspecified
: TP2
: 1.0
Assigned To: jmagen@redhat.com
Dave Johnson
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-01 08:39 EST by Antonin Pagac
Modified: 2016-04-29 12:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Antonin Pagac 2015-12-01 08:39:37 EST
Description of problem:
I have so far discovered bad functionality on these pages:

Hosts -> Content Hosts
Hosts -> Host Collections

When you navigate to one of the above pages in Satellite and then do:

RHCI Installer -> Deployments

it takes you to the New Deployment page instead of the Deployments page.

Version-Release number of selected component (if applicable):
RHCI-6.0-RHEL-7-20151130.t.2-RHCI-x86_64-dvd1.iso

How reproducible:
Always

Steps to Reproduce:
1. Navigate to one of the upper mentioned pages in Satellite
2. Then navigate to RHCI Installer -> Deployments
3. Instead of the Deployments page it shows the New Deployment page

Actual results:
The menu button takes the user to the wrong page

Expected results:
The menu button should take user to the appropriate page

Additional info:
In the failing case, the button wants to display page:

<Satellite address>/r#/deployments/new/start

In the correct case, it displays page:

<Satellite address>/r/#/deployments

This seems to be the case of simple typo around the '/r/#/' part of the link.
Comment 1 jmagen@redhat.com 2016-01-14 08:15:34 EST
I can't pinpoint the reason other than these pages that cause the problem are both Katello Angular pages.

Hosts -> Content Hosts
Hosts -> Host Collections

The issue is that /r will direct to /r/#/deployments/new/start

So, in some wierd cases when the menu item is /r/#/deployments, Rails doesn't pick up what's after the /#/ and then redirects to /r/#/deployments/new/start

Will continue to investigate.
Comment 2 jmagen@redhat.com 2016-01-17 09:12:54 EST
https://github.com/fusor/fusor/pull/630
Comment 3 John Matthews 2016-01-22 15:19:38 EST
Compose of 1/22/16
Comment 4 Antonin Pagac 2016-01-25 09:14:51 EST
Verified.

TP2 RC3
RHCI-6.0-RHEL-7-20160122.t.1-RHCI-x86_64-dvd1.iso

Note You need to log in before you can comment on or make changes to this bug.